aws-0.24.4: Amazon Web Services (AWS) for Haskell

Copyright | Soostone Inc
License | BSD3
Maintainer | Ozgun Ataman <ozgun.ataman@soostone.com>
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Aws.DynamoDb.Commands.PutItem

Description

    http://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_PutItem.html

Synopsis

- data PutItem = PutItem {
  - piTable :: Text
  - piItem :: Item
  - piExpect :: Conditions
  - piReturn :: UpdateReturn
  - piRetCons :: ReturnConsumption
  - piRetMet :: ReturnItemCollectionMetrics
  }
- putItem :: Text -> Item -> PutItem
- data PutItemResponse = PutItemResponse {
  - pirAttrs :: Maybe Item
  - pirConsumed :: Maybe ConsumedCapacity
  - pirColMet :: Maybe ItemCollectionMetrics
  }

# Documentation

data PutItem #

Constructors

PutItem |

Fields

- piTable :: Text

  Target table

- piItem :: Item

  An item to Put. Attributes here will replace what maybe under the key on DDB.

- piExpect :: Conditions

  (Possible) set of expections for a conditional Put

- piReturn :: UpdateReturn

  What to return from this query.

- piRetCons :: ReturnConsumption
- piRetMet :: ReturnItemCollectionMetrics

#### Instances

Instances details

ToJSON PutItem # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem Methods toJSON :: PutItem -> Value # toEncoding :: PutItem -> Encoding # toJSONList :: [PutItem] -> Value # toEncodingList :: [PutItem] -> Encoding # omitField :: PutItem -> Bool #
SignQuery PutItem # |

Instance details

Defined in Aws.DynamoDb.Commands.PutItem

Associated Types

type ServiceConfiguration PutItem |
Instance details Defined in Aws.DynamoDb.Commands.PutItem type ServiceConfiguration PutItem = DdbConfiguration

Methods

signQuery :: PutItem -> ServiceConfiguration PutItem queryType -> SignatureData -> SignedQuery #

Read PutItem # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem Methods readsPrec :: Int -> ReadS PutItem # readList :: ReadS [PutItem] # readPrec :: ReadPrec PutItem # readListPrec :: ReadPrec [PutItem] #
Show PutItem # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem Methods showsPrec :: Int -> PutItem -> ShowS # show :: PutItem -> String # showList :: [PutItem] -> ShowS #
Eq PutItem # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem Methods (==) :: PutItem -> PutItem -> Bool # (/=) :: PutItem -> PutItem -> Bool #
Ord PutItem # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem Methods compare :: PutItem -> PutItem -> Ordering # (<) :: PutItem -> PutItem -> Bool # (<=) :: PutItem -> PutItem -> Bool # (>) :: PutItem -> PutItem -> Bool # (>=) :: PutItem -> PutItem -> Bool # max :: PutItem -> PutItem -> PutItem # min :: PutItem -> PutItem -> PutItem #
Transaction PutItem PutItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem
type ServiceConfiguration PutItem # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem type ServiceConfiguration PutItem = DdbConfiguration

putItem #

Arguments

:: Text | A Dynamo table name
-> Item | Item to be saved
-> PutItem |

Construct a minimal `PutItem` request.

data PutItemResponse #

Constructors

PutItemResponse |

Fields

- pirAttrs :: Maybe Item

  Old attributes, if requested

- pirConsumed :: Maybe ConsumedCapacity

  Amount of capacity consumed

- pirColMet :: Maybe ItemCollectionMetrics

  Collection metrics if they have been requested.

#### Instances

Instances details

FromJSON PutItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem Methods parseJSON :: Value -> Parser PutItemResponse # parseJSONList :: Value -> Parser [PutItemResponse] # omittedField :: Maybe PutItemResponse #
AsMemoryResponse PutItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.PutItem

Associated Types

type MemoryResponse PutItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.PutItem type MemoryResponse PutItemResponse = PutItemResponse

Methods

loadToMemory :: PutItemResponse -> ResourceT IO (MemoryResponse PutItemResponse) #

Read PutItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem Methods readsPrec :: Int -> ReadS PutItemResponse # readList :: ReadS [PutItemResponse] # readPrec :: ReadPrec PutItemResponse # readListPrec :: ReadPrec [PutItemResponse] #
Show PutItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem Methods showsPrec :: Int -> PutItemResponse -> ShowS # show :: PutItemResponse -> String # showList :: [PutItemResponse] -> ShowS #
Eq PutItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem Methods (==) :: PutItemResponse -> PutItemResponse -> Bool # (/=) :: PutItemResponse -> PutItemResponse -> Bool #
Ord PutItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.PutItem

Methods

compare :: PutItemResponse -> PutItemResponse -> Ordering #

(<) :: PutItemResponse -> PutItemResponse -> Bool #

(<=) :: PutItemResponse -> PutItemResponse -> Bool #

(>) :: PutItemResponse -> PutItemResponse -> Bool #

(>=) :: PutItemResponse -> PutItemResponse -> Bool #

max :: PutItemResponse -> PutItemResponse -> PutItemResponse #

min :: PutItemResponse -> PutItemResponse -> PutItemResponse #

ResponseConsumer r PutItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.PutItem

Associated Types

type ResponseMetadata PutItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.PutItem type ResponseMetadata PutItemResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata PutItemResponse) -> HTTPResponseConsumer PutItemResponse #

Transaction PutItem PutItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem
type MemoryResponse PutItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem type MemoryResponse PutItemResponse = PutItemResponse
type ResponseMetadata PutItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem type ResponseMetadata PutItemResponse = DdbResponse